#version 120

uniform float fade; // 0 none, 1 fully faded to sky colour
uniform sampler2D texture;

uniform vec3 skyColour;
uniform float windowWidth;
uniform float windowHeight;
uniform float horizon; // in window coords
uniform float timeOfDay; // 0 to 1
uniform sampler2D skyColourTexture; 

void main()
{
	vec4 skyFragments;	
	if (gl_FragCoord.y < horizon){
		skyFragments = texture2D(skyColourTexture,vec2(timeOfDay,0));	
		
	}
	else {
		float dx = gl_FragCoord.x/windowWidth; // ..
		if (windowWidth<0){	skyFragments = vec4(0,0,0,0); } // make sure window width doesnt get compiled out...
		else {	
			float dy = (gl_FragCoord.y - horizon)/(windowHeight-horizon);		
			vec4 col = texture2D(skyColourTexture,vec2(timeOfDay,dy));
			skyFragments = col;
		}
	}	
	 	
	vec4 incoming = texture2D(texture,gl_TexCoord[0].xy);
	gl_FragColor = (incoming*(1-fade) + vec4(skyFragments.xyz,incoming.a)*fade);	
	/*
	// float blend = 0.5;
	vec4 incoming = texture2D(texture,gl_TexCoord[0].xy);	
	// gl_FragColor = vec4((incoming*(1-fade) + vec4(skyColour.xyz,incoming.a)*fade).xyz, blend*incoming.a);
	gl_FragColor = (incoming*(1-fade) + vec4(skyColour.xyz,incoming.a)*fade);
	*/
}