#version 120

uniform vec3 skyColour;
uniform float windowWidth;
uniform float windowHeight;
uniform float horizon; // in window coords
uniform float timeOfDay; // 0 to 1
uniform sampler2D skyColourTexture; 

void main(void)
{	
	if (gl_FragCoord.y < horizon){
		gl_FragColor = texture2D(skyColourTexture,vec2(timeOfDay,0));	
		
	}
	else {
		float dx = gl_FragCoord.x/windowWidth; // ..
		if (windowWidth<0){	gl_FragColor = vec4(0,0,0,0); } // make sure window width doesnt get compiled out...
		else {	
			float dy = (gl_FragCoord.y - horizon)/(windowHeight-horizon);		
			vec4 col = texture2D(skyColourTexture,vec2(timeOfDay,dy));
			gl_FragColor = col;
			// gl_FragColor = vec4((dx*dy)*skyColour, 1.0);
		}
	}
}